<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
SecondaryCursor..::.MoveNext Method (DatabaseEntry, DatabaseEntry, DatabaseEntry)
SecondaryCursor Class See Also Send Feedback

If the cursor is not yet initialized, MoveNext is identical to MoveFirst()()(). Otherwise, move the cursor to the next key/data pair of the database, and store the secondary key and primary key/data pair in Current. In the presence of duplicate key values, the value of Current.Key may not change. If key, or pkey, or data is partial DatabaseEntry, its PartialLen bytes starting PartialOffset bytes from the beginning of the retrieved data record are returned as if they comprised the entire record. If any or all of the specified bytes do not exist in the record, MoveNext is successful, and any existing bytes are returned.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public bool MoveNext(
    	DatabaseEntry key,
    	DatabaseEntry pkey,
    	DatabaseEntry data
    )

Visual Basic (Declaration)

    Public Function MoveNext ( _
    	key As DatabaseEntry, _
    	pkey As DatabaseEntry, _
    	data As DatabaseEntry _
    ) As Boolean

Visual C++

    public:
    bool MoveNext(
    	DatabaseEntry^ key,
    	DatabaseEntry^ pkey,
    	DatabaseEntry^ data
    )

#### Parameters

key
  Type: BerkeleyDB..::.DatabaseEntry
  The retrieved key in secondary db

pkey
  Type: BerkeleyDB..::.DatabaseEntry
  The key of the matching record in primary db

data
  Type: BerkeleyDB..::.DatabaseEntry
  The data of the matching record in primary db

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# Remarks

If positioning the cursor fails, Current will contain an empty KeyValuePair<(Of <(TKey, TValue>)>).

# See Also

SecondaryCursor Class
MoveNext Overload
BerkeleyDB Namespace